import { useState } from 'react';

import PersonListing from './personListing.component.jsx';
import '../assets/style/displayController.css';

const PersonListingController = ({ initialDelay = 250 }) => {

    const [ closed, setClosed ] = useState(false);
    const [ started, setStarted ] = useState(false);
    const [ delay, setDelay ] = useState(initialDelay)

    const startStop = () => setStarted( previousStarted => ! previousStarted);
    const closeComponent = () => setClosed(true);

    const changeDelay = newDelay => setDelay(newDelay);

    if (closed)
        return null;
    // else
    return (
            <div>
                <div className = 'controller'>
                    <button onClick= { startStop }>
                        { started ? 'Stop' : 'Start'}
                    </button>
                    <button onClick= { () => changeDelay(250) }>Delay = 250</button>
                    <button onClick= { () => changeDelay(1000) }>Delay = 1000</button>
                    <button onClick= { closeComponent }>Close</button>
                </div>
                <PersonListing
                    delay = { delay }
                    started = { started }
                />
            </div>
            );

}

export default PersonListingController;